%define lang	en
%define language English
%define format	HTML

Name: howto-html-%lang
Version: 20061209
Release: alt1

Summary: HOWTO documents (%language in %format) from the Linux Documentation Project
Group: Books/Howtos
License: GPL

Url: http://www.tldp.org/docs.html#howto
Source: Linux-html-HOWTOs.tar.bz2
Packager: Michael Shigorin <mike@altlinux.org>

BuildArch: noarch
Obsoletes: ldp howto-html
AutoReq: no

%set_verify_elf_method none
%set_strip_method none

%define dest %_docdir/HOWTO/%format

%description
Linux HOWTOs are detailed documents which describe a specific aspect
of configuring or using Linux.  Linux HOWTOs are a great source of
practical information about your system.  The latest versions of these
documents are located at %url

In this package, you can find HOWTOs written in English. This is probably
the most full collection of them (as compared to other languages).

%prep
%setup -q -n HOWTO

%install
mkdir -p %buildroot%dest
mv ../HOWTO %buildroot%dest/%lang

%files
%dest/%lang/

# TODO:
# - recreate my own ancient scripts to make
#   HOWTO collection more readable -- move *-[0-9]+ into 
#   corresponding directory, update HOWTO-INDEX reference

%changelog
* Sun Dec 10 2006 Michael Shigorin <mike@altlinux.org> 20061209-alt1
- updated to tldp.org 20061209 snapshot
- heavy spec cleanup:
  + use upstream tarball/naming
  + drop mdk makehowtoindex hack, default index should be fine
    for those who would deign to actually read that
- added Packager:

* Mon Aug 09 2004 Michael Shigorin <mike@altlinux.ru> 10-alt1
- built for Master 2.4
- updated to v10 (Cooker)
- changed archive processing appropriately
- post-fixed makehowtoindex output
- updated Url:

* Tue Feb 04 2003 Stanislav Ievlev <inger@altlinux.ru> 9.1-alt2
- removed unesessary files

* Thu Jan 30 2003 Stanislav Ievlev <inger@altlinux.ru> 9.1-alt1
- update from MDK

* Sun Nov 10 2002 Stanislav Ievlev <inger@altlinux.ru> 9.0-alt1
- update

* Tue Feb 12 2002 Stanislav Ievlev <inger@altlinux.ru> 8.2-alt1
- 8.2

* Thu Nov 22 2001 Stanislav Ievlev <inger@altlinux.ru> 8.1-alt1
- 8.1

* Tue Jul 24 2001 Sergie Pugachev <fd_rag@altlinux.ru> 8.0-alt1
- new version

* Sat Mar 10 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 7.1-ipl10mdk
- rebuilt with newer html-utils

* Fri Mar 9 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 7.1-ipl9mdk
- add some info on the language of the HOWTOs into Summary
  and Description

* Fri Mar  9 2001 Ivan Z. <vanyaz@mccme.ru> 7.1-ipl8mdk
- strange Requires (on webclient, mandrake_desk, locales-en) removed

* Fri Mar  9 2001 Ivan Z. <vanyaz@mccme.ru> 7.1-ipl7mdk
- rebuild: duplicate items fixed
- moved common howto icons to howto-utils

* Wed Mar  7 2001 Ivan Z. <vanyaz@mccme.ru> 7.1-ipl6mdk
- rebuild the updated version from Mdk for RE (a bug with empty index
  items has been fixed)

* Fri Mar  2 2001 Etienne Faure  <etienne@mandrakesoft.com> 7.1-6mdk
- rebuild with new howto-utils

##########
# Here was an RE release

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation

#
##########

* Sat Jan 13 2001 Etienne Faure  <etienne@mandrakesoft.com> 7.1-5mdk
- modified menu entry

* Fri Dec 15 2000 Etienne Faure  <etienne@mandraksoft.com> 7.1-4mdk
- updated howtos
- added

* Thu Aug 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 7.1-3mdk
- add LN touch

* Mon Apr 24 2000 Pixel <pixel@mandrakesoft.com> 7.1-2mdk
- change require (add locales-XX, change netscape to webclient)

* Thu Apr 20 2000 David BAUDENS <baudens@mandrakesoft.com> 7.1-1mdk
- 7.1

* Wed Apr 05 2000 David BAUDENS <baudens@mandrakesoft.com> 7.0-2mdk
- 20000405

* Tue Dec 22 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Update version number to 7.0

* Sat Dec 04 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 19991204
- Keep only html format (others are in contribs)

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- no <BASE HREF...> in howto-index.html

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Tue Jan 26 1999 Cristian Gafton <gafton@redhat.com>
- updated howtos
- marked translations with %lang(XX)
- get rid of pdf, ps and dvi formats

* Thu Oct 01 1998 Cristian Gafton <gafton@redhat.com>
- added the Serbian Howtos

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- updated archive
- added croatian and slovenian subpackages

* Wed Apr 15 1998 Cristian Gafton <gafton@redhat.com>
- updated archive
- subpackages for each language

* Fri Oct 24 1997 Otto Hammersmith <otto@redhat.com>
- fixed missing HOWTOs because the download ran out of space
- added an index html page for the howto-html package

* Thu Oct 23 1997 Otto Hammersmith <otto@redhat.com>
- untarred the html tarballs to obsolete the ldp package

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- fixed description for the right date

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Sat Apr 19 1997 Otto Hammersmith <otto@redhat.com>
- Updated to more recent HOWTOs.
- In the next major version, %_docdir really ought to be cleaned out.
  Right now, the ldp and howto packages overlap somewhat. (HTML docs,
  the former, however, only has tar.gz files)
  I didn't want to rearrange too much for 4.2, and there are other
  documentation issues such as /usr/info.

